Delete an existing Action Template and all its versions
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the Action Template to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Delete an existing Action Template and all its versions
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the Action Template to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the requested Action Template has been deleted
Example Response
{}Get a list of Action Templates
GET /api
Also reachable at /api, /api.
Lists all of the Action Templates in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
IDs of the action templates to fetch.isCommunityActionTemplateboolean
Filters the results based on whether the action is a community template.partialNamestring
A partial or complete name to search on. This will perform a "contains" style match against the supplied name or name-fragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested Action Templates
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectParametersarray of objectPropertiesobjectSpaceIdstringVersioninteger
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{}
],
"Parameters": [
{}
],
"Properties": {
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
},
"SpaceId": "string",
"Version": 0
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create an Action Template
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The id of the Space that contains the Action Template.
Request Body
ActionTypestring (required)
The action type of the Action Template. Minimum length 1.CommunityActionTemplateIdstring
The community action template id if the Action Template is created from a community template.Descriptionstring
The description of the Action Template.GitDependenciesarray of objectDefaultBranchstring (required)
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring (required)
Minimum length 1.GitHubConnectionIdstringNamestring (required)RepositoryUristring (required)
Minimum length 1.StepPackageInputsReferenceIdstring
InputsobjectValuestring
Namestring (required)
The name of the Action Template. Minimum length 1.Packagesarray of object
The list of packages to include in the Action Template.AcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of object
The list of parameters of the Action Template.DefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
Propertiesobject
The list of properties of the Action Template.SpaceIdstring (required)
The id of the Space that contains the Action Template.StepPackageVersionstring
The step package version if the Action Template is created from a step package.Versioninteger
The version number of the Action Template. Minimum0.
Response
201 — Created
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Request
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Inputs": {
"Value": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"StepPackageVersion": "string",
"Version": 0
}Example Response
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Get all Action Templates
GET /api
Also reachable at /api, /api.
Lists the all of the action templates in the supplied Octopus Deploy Space. The results will be sorted by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Action Templates
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Response
[
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}
]Get a list of Action Template categories
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Action Template categories
DisplayOrderintegerIdstringLinksobjectNamestring
Example Response
[
{
"DisplayOrder": 0,
"Id": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
]List all available action templates including built-in, custom and community contributed step templates
GET /api
Also reachable at /api, /api.
Lists all of the Action Templates in the supplied Octopus Deploy Space that fit the search criteria.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
typestring
Response
200 — The found Action Templates
AuthorstringCategoriesarray of stringCategorystringCommunityActionTemplateIdstringDescriptionstringFeaturesarray of stringHasUpdatebooleanIdstringIsBuiltInbooleanIsInstalledbooleanKeywordsstringLinksobjectNamestringPrereleasebooleanSpaceIdstringTypestringVersionstringWebsitestring
Example Response
[
{
"Author": "string",
"Categories": [
"string"
],
"Category": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"Features": [
"string"
],
"HasUpdate": true,
"Id": "string",
"IsBuiltIn": true,
"IsInstalled": true,
"Keywords": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Prerelease": true,
"SpaceId": "string",
"Type": "string",
"Version": "string",
"Website": "string"
}
]Get an Action Template by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the ActionTemplate to load.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Action Template
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Response
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Modify an existing action template
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the existing Action Template.spaceIdstring (required)
The id of the Space that contains the Action Template.
Request Body
Descriptionstring
The description of the Action Template.GitDependenciesarray of objectDefaultBranchstring (required)
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring (required)
Minimum length 1.GitHubConnectionIdstringNamestring (required)RepositoryUristring (required)
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring (required)
The id of the existing Action Template.InputsobjectValuestring
Namestring (required)
The name of the Action Template. Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstring (required)
The id of the Space that contains the Action Template.StepPackageVersionstring
Response
200 — Confirmation that the Action Template was modified, including the updated template.
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Request
{
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"Inputs": {
"Value": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"StepPackageVersion": "string"
}Example Response
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Update deployment and runbook actions to a specific version of the action template
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the Action Template.spaceIdstring (required)
The ID of the Space containing the Action Template.
Request Body
ActionIdsByProcessIdobjectActionsToUpdatearray of object (required)
The actions to be updated to match the action template.ActionIdsarray of string (required)
The IDs of the actions to update.GitRefstring
The Git reference for the action to update.ProcessIdstring (required)
The ID of the deployment process which contains the action(s) to update. Minimum length 1.ProcessTypeenum (required)
The process type of the deployment process containing the action(s) to update.
Allowed values:Deployment,Runbook.ProjectIdstring
The Project Id for the action to update.
DefaultPropertyValuesobject
Default values for properties of the action template.Idstring (required)
The ID of the Action Template.Overridesobject
Overrides for values of the properties of the action template.SpaceIdstring (required)
The ID of the Space containing the Action Template.Versioninteger (required)
The version of the Action Template.
Response
200 — ActionUpdateResultResources with details of the results of the update returned
IdstringLinksobjectManualMergeRequiredReasonsByPropertyNameobjectNamesOfNewParametersMissingDefaultValuearray of stringOutcomeenum
Allowed values:Success,ManualMergeRequired,DefaultParamterValueMissing,RemovedPackageInUse.RemovedPackageUsagesarray of objectPackageReferencestringUsedByenum
Allowed values:ProjectVersionStrategy,ProjectReleaseCreationStrategy,ChannelRule.UsedByIdstringUsedByNamestring
Example Request
{
"ActionIdsByProcessId": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"ActionsToUpdate": [
{
"ActionIds": [
"string"
],
"GitRef": "string",
"ProcessId": "string",
"ProcessType": "Deployment",
"ProjectId": "string"
}
],
"DefaultPropertyValues": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"Id": "string",
"Overrides": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Example Response
[
{
"Id": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ManualMergeRequiredReasonsByPropertyName": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"NamesOfNewParametersMissingDefaultValue": [
"string"
],
"Outcome": "Success",
"RemovedPackageUsages": [
{
"PackageReference": "string",
"UsedBy": "ProjectVersionStrategy",
"UsedById": "string",
"UsedByName": "string"
}
]
}
]Create a server task to update deployment and runbook actions to a specific version of the action template
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the Action Template.spaceIdstring (required)
The ID of the Space containing the Action Template.
Request Body
ActionsToUpdatearray of object (required)
The actions to be updated to match the action template.ActionIdsarray of string (required)
The IDs of the actions to update.GitRefstring
The Git reference for the action to update.ProcessIdstring (required)
The ID of the deployment process which contains the action(s) to update. Minimum length 1.ProcessTypeenum (required)
The process type of the deployment process containing the action(s) to update.
Allowed values:Deployment,Runbook.ProjectIdstring
The Project Id for the action to update.
DefaultPropertyValuesobject
Default values for properties of the action template.Idstring (required)
The ID of the Action Template.Overridesobject
Overrides for values of the properties of the action template.SpaceIdstring (required)
The ID of the Space containing the Action Template.Versioninteger (required)
The version of the Action Template.
Response
200 — Returns the results of the update of the actions updated to match the action template.
Outcomestring
Minimum length 1.Resultsarray of objectIdstringLinksobjectManualMergeRequiredReasonsByPropertyNameobjectNamesOfNewParametersMissingDefaultValuearray of stringOutcomeenum
Allowed values:Success,ManualMergeRequired,DefaultParamterValueMissing,RemovedPackageInUse.RemovedPackageUsagesarray of object
TaskIdstringValidationFailuresarray of string
Example Request
{
"ActionsToUpdate": [
{
"ActionIds": [
"string"
],
"GitRef": "string",
"ProcessId": "string",
"ProcessType": "Deployment",
"ProjectId": "string"
}
],
"DefaultPropertyValues": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"Id": "string",
"Overrides": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Example Response
{
"Outcome": "string",
"Results": [
{
"Id": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ManualMergeRequiredReasonsByPropertyName": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"NamesOfNewParametersMissingDefaultValue": [
"string"
],
"Outcome": "Success",
"RemovedPackageUsages": [
{}
]
}
],
"TaskId": "string",
"ValidationFailures": [
"string"
]
}Get the logo associated with the latest version of action template
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Action Type or ID of the action type logo.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Example Response
"string"Update the logo associated with the latest version of the action template
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the action template for which to set the logo.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the logo was updated
Example Response
{}Update the logo associated with the latest version of the action template
PUT /api
Path Parameters
idstring (required)
The ID of the action template for which to set the logo.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the logo was updated
Example Response
{}Update the logo associated with the latest version of the action template
PUT /api
Also reachable at /api.
Path Parameters
idstring (required)
The ID of the action template for which to set the logo.spaceIdentifierstring (required)
Identifier (ID or slug) of the space.
Response
200 — Confirmation that the logo was updated
Example Response
{}Get usages for an Action Template
GET /api
Also reachable at /api, /api.
Gets a list of all steps/deployment processes that use a given action template.
Path Parameters
idstring (required)
ID of the resource.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
branchstring
Optionally filter usages associated with a config as code branch.processenum
Optionally filter by process type.
Allowed values:Deployment,Runbook.projectstring
Optionally filter version controlled usages by project.withUpdatesboolean
Optionally filter for only version controlled usages with updates.
Response
200 — The requested Action Template usages
ActionIdstring
Minimum length 1.ActionNamestring
Minimum length 1.ActionTemplateIdstring
Minimum length 1.BranchstringDeploymentProcessIdstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProcessIdstring
Minimum length 1.ProcessTypeenum
Allowed values:Deployment,Runbook.ProjectIdstring
Minimum length 1.ProjectNamestring
Minimum length 1.ProjectSlugstring
Minimum length 1.ReleasestringRunbookIdstringRunbookNamestringStepIdstring
Minimum length 1.StepNamestring
Minimum length 1.Versionstring
Example Response
[
{
"ActionId": "string",
"ActionName": "string",
"ActionTemplateId": "string",
"Branch": "string",
"DeploymentProcessId": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProcessId": "string",
"ProcessType": "Deployment",
"ProjectId": "string",
"ProjectName": "string",
"ProjectSlug": "string",
"Release": "string",
"RunbookId": "string",
"RunbookName": "string",
"StepId": "string",
"StepName": "string",
"Version": "string"
}
]Get an Action Template by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the ActionTemplate to load.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Action Template
ActionTemplateobjectActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectParametersarray of objectPropertiesobjectSpaceIdstringVersioninteger
Example Response
{
"ActionTemplate": {
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}
}Get all versions of an Action Template
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the Action Template.spaceIdstring (required)
The id of the Space that contains the Action Template.
Response
200 — The list of action template resources for each version.
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Response
[
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}
]Get a specific version of an Action Template
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the Action Template.spaceIdstring (required)
The id of the Space that contains the Action Template.versionstring (required)
The version number of the Action Template.
Response
200 — The action template resource.
ActionTypestring
Minimum length 1.CommunityActionTemplateIdstringDescriptionstringGitDependenciesarray of objectDefaultBranchstring
Minimum length 1.FilePathFiltersarray of stringGitCredentialIdstringGitCredentialTypestring
Minimum length 1.GitHubConnectionIdstringNamestringRepositoryUristring
Minimum length 1.StepPackageInputsReferenceIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.Packagesarray of objectAcquisitionLocationstring
The package-acquisition location. One of PackageAcquisitionLocationResource or a variable-expression.FeedIdstring
Feed ID, name or a variable-expression.IdstringNamestring
A name for the package-reference. This may be empty. This is used to discriminate the package-references. Package ID isn’t suitable because an action may potentially have multiple references to the same package ID (e.g. if you wanted to use different versions of the same package). Also, the package ID may be a variable-expression.PackageIdstring
Package ID or a variable-expression.PropertiesobjectStepPackageInputsReferenceIdstring
This reference identifier is populated when a step package step contains a package reference It allows us to correlate the reference within the step package inputs to this Server package reference.Versionstring
Specific version to use for this package. If not specified, package can be selected at release creation or runbook run time.
Parametersarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
PropertiesobjectSpaceIdstringVersioninteger
Example Response
{
"ActionType": "string",
"CommunityActionTemplateId": "string",
"Description": "string",
"GitDependencies": [
{
"DefaultBranch": "string",
"FilePathFilters": [
"string"
],
"GitCredentialId": "string",
"GitCredentialType": "string",
"GitHubConnectionId": "string",
"Name": "string",
"RepositoryUri": "string",
"StepPackageInputsReferenceId": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Packages": [
{
"AcquisitionLocation": "string",
"FeedId": "string",
"Id": "string",
"Name": "string",
"PackageId": "string",
"Properties": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"StepPackageInputsReferenceId": "string",
"Version": "string"
}
],
"Parameters": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Properties": {
"additionalProp1": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp2": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"additionalProp3": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
}
},
"SpaceId": "string",
"Version": 0
}Get the logo associated with specific version of the action template
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).typeOrIdstring (required)
Action Type or ID of the action type logo.versionstring (required)
Version of the action type logo.
Response
200 — OK
Example Response
"string"